<?php
/*
Plugin Name: NBC ThemeChanger
Version: auto
Description: ThemeChanger allow you to associate for each category a specific theme. 
	For the unspecified categories, the theme by default is applied.
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=214
Author: Datajulien
Author URI: http://morgane.quoirez.com
*/

define('NBC_ThemeChanger_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

/* Set the administration panel of the plugin */


class ThemeChanger
// Sets the administration panel of the plugin
{
	function nbc_ThemeChanger_admin_menu($menu)
	{
	  array_push($menu,
		array(
		  'NAME' => 'ThemeChanger',
		  'URL'  => get_root_url().'admin.php?page=plugin-'.basename(NBC_ThemeChanger_PATH)
		)
	  );
	  return $menu;
	}
}

$obj = new ThemeChanger();

function change_category_theme()
{
  global $template, $page, $user, $conf;

  $conf_nbc_ThemeChanger = isset($conf['nbc_ThemeChanger']) ? explode(";" , $conf['nbc_ThemeChanger']) : array();
    
  $category_theme = array();
  
  foreach ($conf_nbc_ThemeChanger as $Theme_Cat)
  {
    $element_ThemeChanger = explode("," , $Theme_Cat);
    
    if ($element_ThemeChanger[0] <> '' and $element_ThemeChanger[1] <> '')
      $category_theme[$element_ThemeChanger[0]] = $element_ThemeChanger[1];
  }

  if (isset($page['category']['id']) and isset($category_theme[$page['category']['id']]))
  {
	$Defalut_user_theme = $user['theme'];
	if (realpath(PHPWG_ROOT_PATH.'themes'.'/'.$category_theme[$page['category']['id']]))
		$user['theme'] = $category_theme[$page['category']['id']];

	$template = new Template(PHPWG_ROOT_PATH.'themes', $user['theme']);
  }
}

add_event_handler('get_admin_plugin_menu_links', array(&$obj, 'nbc_ThemeChanger_admin_menu') );
add_event_handler('loc_end_section_init', 'change_category_theme');
set_plugin_data($plugin['id'], $obj)

?>